## GarconMenuTreeProvider GarconMenuTreeProvider |

## Synopsis

    struct              GarconMenuTreeProviderIface;
    GFile *             garcon_menu_tree_provider_get_file  (GarconMenuTreeProvider *provider);
    GNode *             garcon_menu_tree_provider_get_tree  (GarconMenuTreeProvider *provider);

## Description

## Details

### struct GarconMenuTreeProviderIface

    struct GarconMenuTreeProviderIface {
      GTypeInterface __parent__;

      /* Virtual methods */
      GNode       *(*get_tree) (GarconMenuTreeProvider *provider);
      GFile       *(*get_file) (GarconMenuTreeProvider *provider);
    };

### garcon_menu_tree_provider_get_file ()

    GFile *             garcon_menu_tree_provider_get_file  (GarconMenuTreeProvider *provider);

### garcon_menu_tree_provider_get_tree ()

    GNode *             garcon_menu_tree_provider_get_tree  (GarconMenuTreeProvider *provider);